# Generated from string-direction-1.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name string-direction

Name: rubygem-%{gem_name}
Version: 1.2.2
Release: 1%{?dist}
Summary: Automatic detection of text direction (ltr, rtl or bidi) for strings
License: GPL3
URL: https://github.com/waiting-for-dev/string-direction/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-byebug) >= 3.2
# BuildRequires: rubygem(pry-byebug) < 4
BuildArch: noarch

%description
https://github.com/waiting-for-dev/string-direction/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING.txt
%{gem_instdir}/Dockerfile
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/spec
%{gem_instdir}/string-direction.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.2.2-1
- Initial package
